PLaSK library

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Functions
cholesky_matrix.hpp File Reference
`#include <cstddef>`
`#include "matrix.hpp"`
Include dependency graph for cholesky_matrix.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | plask::DpbMatrix
| Symmetric band matrix structure. More...

## Namespaces
namespace | plask
| Patterson quadrature for complex function along specified line.

## Macros
#define | UPLO 'L'
#define | dsbmv F77_GLOBAL(dsbmv, DSBMV)
#define | dpbtrf F77_GLOBAL(dpbtrf, DPBTRF)
#define | dpbtrs F77_GLOBAL(dpbtrs, DPBTRS)

## Functions
F77SUB | dsbmv (const char &uplo, const int &n, const int &k, const double &alpha, const double *a, const int &lda, const double *x, const int &incx, const double &beta, double *y, const int &incy)
F77SUB | dpbtrf (const char &uplo, const int &n, const int &kd, double *ab, const int &ldab, int &info)
F77SUB | dpbtrs (const char &uplo, const int &n, const int &kd, const int &nrhs, double *ab, const int &ldab, double *b, const int &ldb, int &info)

## Macro Definition Documentation

## ◆ dpbtrf

#define dpbtrf F77_GLOBAL(dpbtrf, DPBTRF)

Definition at line 38 of file cholesky_matrix.hpp.

## ◆ dpbtrs

#define dpbtrs F77_GLOBAL(dpbtrs, DPBTRS)

Definition at line 41 of file cholesky_matrix.hpp.

## ◆ dsbmv

#define dsbmv F77_GLOBAL(dsbmv, DSBMV)

Definition at line 24 of file cholesky_matrix.hpp.

## ◆ UPLO

#define UPLO 'L'

Definition at line 21 of file cholesky_matrix.hpp.

## Function Documentation

## ◆ dpbtrf()

F77SUB dpbtrf | ( | const char & | uplo,
|  | const int & | n,
|  | const int & | kd,
|  | double * | ab,
|  | const int & | ldab,
|  | int & | info
| ) |  |

## ◆ dpbtrs()

F77SUB dpbtrs | ( | const char & | uplo,
|  | const int & | n,
|  | const int & | kd,
|  | const int & | nrhs,
|  | double * | ab,
|  | const int & | ldab,
|  | double * | b,
|  | const int & | ldb,
|  | int & | info
| ) |  |

## ◆ dsbmv()

F77SUB dsbmv | ( | const char & | uplo,
|  | const int & | n,
|  | const int & | k,
|  | const double & | alpha,
|  | const double * | a,
|  | const int & | lda,
|  | const double * | x,
|  | const int & | incx,
|  | const double & | beta,
|  | double * | y,
|  | const int & | incy
| ) |  |